astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_CylindricalPerspective

# Sky2Pix_CylindricalPerspective

class `astropy.modeling.projections.``Sky2Pix_CylindricalPerspective`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Cylindrical`

  Cylindrical Perspective - sky to pixel.

  Corresponds to the `CYP` projection in FITS WCS.

  x &= \lambda \phi \\ y &= \frac{180^{\circ}}{\pi}\left(\frac{\mu + \lambda}{\mu + \cos \theta}\right)\sin \theta

  Parameters:

  mu : float

  > Distance from center of sphere in the direction opposite the projected surface, in spherical radii, μ. Default is 0.

  lam : float

  > Radius of the cylinder in spherical radii, λ. Default is 0.

  Attributes Summary

  `lam` |
  `mu` |
  `param_names` |

  Methods Summary

  `evaluate`(phi, theta, mu, lam) |

  Attributes Documentation

  `lam`
  `mu`
  `param_names` = ('mu', 'lam')

  Methods Documentation

  classmethod `evaluate`(phi, theta, mu, lam)